from pydantic import BaseModel, validator

from constants import MAX_ARTICLE_LEN, MIN_ARTICLE_LEN


class Article(BaseModel):
    text: str

    @validator('text')
    def validate_text(cls, value):
        if len(value) > MAX_ARTICLE_LEN:
            raise ValueError(f"Text must not be longer than {MAX_ARTICLE_LEN} characters")
        if len(value) < MIN_ARTICLE_LEN:
            raise ValueError(f"Text must be at least {MIN_ARTICLE_LEN} characters long")
        return value
